- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_MngSeq_Out_T< T, T_var, T_elem > Class Template Reference

Parametrized implementation of _out class for sequences having managed types. More...

`#include <Seq_Out_T.h>`

Collaboration diagram for TAO_MngSeq_Out_T< T, T_var, T_elem >:

[legend]
List of all members.

## Public Member Functions
| TAO_MngSeq_Out_T (T *&)
| TAO_MngSeq_Out_T (T_var &)
| TAO_MngSeq_Out_T (const TAO_MngSeq_Out_T< T, T_var, T_elem > &)
TAO_MngSeq_Out_T & | operator= (const TAO_MngSeq_Out_T< T, T_var, T_elem > &)
TAO_MngSeq_Out_T & | operator= (T *)
| operator T *& ()
T *& | ptr (void)
T * | operator-> (void)
T_elem | operator[] (CORBA::ULong index)
## Private Types
typedef TAO_MngSeq_Out_T< T, T_var, T_elem > | THIS_OUT_TYPE
## Private Member Functions
void | operator= (const T_var &)
## Private Attributes
T *& | ptr_

## Detailed Description

### template<typename T, typename T_var, typename T_elem>
class TAO_MngSeq_Out_T< T, T_var, T_elem >

Parametrized implementation of _out class for sequences having managed types.

## Member Typedef Documentation

template<typename T, typename T_var, typename T_elem>

typedef TAO_MngSeq_Out_T<T,T_var,T_elem> TAO_MngSeq_Out_T< T, T_var, T_elem >::THIS_OUT_TYPE`[private]`

## Constructor & Destructor Documentation

template<typename T, typename T_var, typename T_elem>

ACE_INLINE TAO_MngSeq_Out_T< T, T_var, T_elem >::TAO_MngSeq_Out_T | ( | T *& |  | ) |

template<typename T, typename T_var, typename T_elem>

ACE_INLINE TAO_MngSeq_Out_T< T, T_var, T_elem >::TAO_MngSeq_Out_T | ( | T_var & |  | ) |

template<typename T, typename T_var, typename T_elem>

ACE_INLINE TAO_MngSeq_Out_T< T, T_var, T_elem >::TAO_MngSeq_Out_T | ( | const TAO_MngSeq_Out_T< T, T_var, T_elem > & |  | ) |

## Member Function Documentation

template<typename T, typename T_var, typename T_elem>

ACE_INLINE TAO_MngSeq_Out_T< T, T_var, T_elem >::operator T *& | ( |  | ) |

template<typename T, typename T_var, typename T_elem>

ACE_INLINE T * TAO_MngSeq_Out_T< T, T_var, T_elem >::operator-> | ( | void |  | ) |

template<typename T, typename T_var, typename T_elem>

void TAO_MngSeq_Out_T< T, T_var, T_elem >::operator= | ( | const T_var & |  | ) | `[private]`

template<typename T, typename T_var, typename T_elem>

ACE_INLINE TAO_MngSeq_Out_T< T, T_var, T_elem > & TAO_MngSeq_Out_T< T, T_var, T_elem >::operator= | ( | T * |  | ) |

template<typename T, typename T_var, typename T_elem>

ACE_INLINE TAO_MngSeq_Out_T< T, T_var, T_elem > & TAO_MngSeq_Out_T< T, T_var, T_elem >::operator= | ( | const TAO_MngSeq_Out_T< T, T_var, T_elem > & |  | ) |

template<typename T, typename T_var, typename T_elem>

ACE_INLINE T_elem TAO_MngSeq_Out_T< T, T_var, T_elem >::operator[] | ( | CORBA::ULong | index | ) |

template<typename T, typename T_var, typename T_elem>

ACE_INLINE T *& TAO_MngSeq_Out_T< T, T_var, T_elem >::ptr | ( | void |  | ) |

## Member Data Documentation

template<typename T, typename T_var, typename T_elem>

T*& TAO_MngSeq_Out_T< T, T_var, T_elem >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Seq_Out_T.h
- Seq_Out_T.inl